@import '~@angular/material/theming';
@include mat-core();

// defining color palettes
$primaryPalette: (
  50: #e0ebed,
  100: #b3ccd1,
  200: #80aab3,
  300: #4d8894,
  400: #266f7d,
  500: #005566,
  600: #004e5e,
  700: #004453,
  800: #003b49,
  900: #002a38,
  A100: #6ed4ff,
  A200: #3bc4ff,
  A400: #08b5ff,
  A700: #00a7ee,
  contrast: (
    50: #484f54,
    100: #2c2c2c,
    200: #1d1d1d,
    300: #ffffff,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #ffffff,
  ),
);

$warnPalette: mat-palette($mat-red);

$tertiaryPalette: (
  50: #ede0eb,
  100: #d1b3cc,
  200: #b380aa,
  300: #944d88,
  400: #7d266f,
  500: #660055,
  600: #5e004e,
  700: #530044,
  800: #49003b,
  900: #38002a,
  A100: #ff6ed4,
  A200: #ff3bc4,
  A400: #ff08b5,
  A700: #ee00a7,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #ffffff,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #ffffff,
    A700: #ffffff,
  ),
);

$secondaryPalette: (
  50: #ebede0,
  100: #ccd1b3,
  200: #aab380,
  300: #88944d,
  400: #6f7d26,
  500: #556600,
  600: #4e5e00,
  700: #445300,
  800: #3b4900,
  900: #2a3800,
  A100: #d4ff6e,
  A200: #c4ff3b,
  A400: #b5ff08,
  A700: #a7ee00,
  contrast: (
    50: #000000,
    100: #000000,
    200: #000000,
    300: #000000,
    400: #ffffff,
    500: #ffffff,
    600: #ffffff,
    700: #ffffff,
    800: #ffffff,
    900: #ffffff,
    A100: #000000,
    A200: #000000,
    A400: #000000,
    A700: #000000,
  ),
);

$primary: mat-palette($primaryPalette);
$secondary: mat-palette($secondaryPalette);
$warn: mat-palette($warnPalette);
$windflowerTheme: mat-light-theme($primary, $secondary, $warn);
@include angular-material-theme($windflowerTheme);
